﻿using System.ComponentModel;
using Wisej.Web;

namespace Wisej.NativeToolTip
{
	public class MyButton : Button
	{
		[DefaultValue(null)]
		public string ToolTip
		{
			get { return this._toolTip; }
			set
			{
				if (this._toolTip != value)
				{
					this._toolTip = value;
					Update();
				}	
			}
		}
		private string _toolTip;

		protected override void OnWebRender(dynamic config)
		{
			base.OnWebRender((object)config);

			config.toolTipText = this.ToolTip;
		}
	}
}